Fetch a Virtual Card's Transactions
curl --request GET \
--url https://api.flutterwave.com/v3/virtual-cards/{id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/virtual-cards/{id}/transactions"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/virtual-cards/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Card transactions fetched successfully",
"data": [
{
"id": 39250,
"amount": 25000,
"fee": 0,
"product": "Card Transactions",
"gateway_reference_details": "Card Withdrawal ",
"reference": "CF-BARTER-20200113051758201204",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Withdrawal",
"indicator": "D",
"created_at": "2020-01-13T05:17:58.777Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39248,
"amount": 25000,
"fee": 0,
"product": "Card Transactions",
"gateway_reference_details": "Card Withdrawal ",
"reference": "CF-BARTER-20200113051659648286",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Withdrawal",
"indicator": "D",
"created_at": "2020-01-13T05:16:59.197Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39246,
"amount": 50000,
"fee": 0,
"product": "Card Funding",
"gateway_reference_details": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"reference": "CF-BARTER-20200113042055432113",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Funding",
"indicator": "C",
"created_at": "2020-01-13T04:20:55.597Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39244,
"amount": 200000,
"fee": 0,
"product": "Card Funding",
"gateway_reference_details": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"reference": "CF-BARTER-20200113041736563749",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Funding",
"indicator": "C",
"created_at": "2020-01-13T04:17:36.257Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39242,
"amount": 100000,
"fee": 0,
"product": "Card Funding",
"gateway_reference_details": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"reference": "CF-BARTER-20200113041558850052",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Funding",
"indicator": "C",
"created_at": "2020-01-13T04:15:58.107Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39240,
"amount": 100000,
"fee": 0,
"product": "Card Funding",
"gateway_reference_details": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"reference": "CF-BARTER-20200113041420718064",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Funding",
"indicator": "C",
"created_at": "2020-01-13T04:14:20.273Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39227,
"amount": 50000,
"fee": 0,
"product": "Card Funding",
"gateway_reference_details": "38c9201a-fcb2-48fd-875e-6494ed79a6bb",
"reference": "CF-BARTER-20200112054622949312",
"response_code": 5,
"gateway_reference": "536613*******6517",
"amount_confirmed": 0,
"narration": "Card Funding",
"indicator": "C",
"created_at": "2020-01-12T17:46:22.543Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39226,
"amount": 250,
"fee": 0,
"product": "Card Issuance Fee",
"gateway_reference_details": "Card Issuance fee",
"reference": "CF-BARTER-20200112054621157627",
"response_code": 5,
"gateway_reference": "selma FLW",
"amount_confirmed": 0,
"narration": "Card Issuance Fee",
"indicator": "D",
"created_at": "2020-01-12T17:46:21.84Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
},
{
"id": 39225,
"amount": 50000,
"fee": 0,
"product": "Card Funding Debit",
"gateway_reference_details": "Card Funding Transfers",
"reference": "CF-BARTER-20200112054618252652",
"response_code": 5,
"gateway_reference": "selma FLW",
"amount_confirmed": 0,
"narration": null,
"indicator": "D",
"created_at": "2020-01-12T17:46:18.95Z",
"status": "Successful",
"response_message": "Transaction was Successful",
"currency": "NGN"
}
]
}Virtual Cards
Fetch a Virtual Card's Transactions
Get transactions done with on a virtual card
GET
/
virtual-cards
/
{id}
/
transactions
Fetch a Virtual Card's Transactions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Path Parameters
Was this page helpful?
⌘I